import java.awt.Frame;
import java.awt.Graphics;

public class ShadowBall extends BoundedBall
{
    private int paintCount;

    public ShadowBall( int x, int y, int r, int dx, int dy, Frame f )
    {
        super( x, y, r, dx, dy, f );
        paintCount = 0;
    }

    public void paint( Graphics g )
    {
        super.paint( g );
        paintCount++;

        if ( paintCount >= 100 )
        {
            setColor( color().darker() );
            paintCount = 0;
        }
    }
}
